Bug 39102

Summary: new category requested: finance
Product: Ports & Packages Reporter: Trevor Johnson <trevor>
Component: Individual Port(s)Assignee: Trevor Johnson <trevor>
Status: Closed FIXED    
Severity: Affects Only Me    
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   

Description Trevor Johnson 2002-06-10 13:50:01 UTC
This category, described as "financial applications," is to help users
find software with which to manage their money and become wealthy like
Matt Dillon.  I have identified fifteen existing ports which would be
suitable for this category:

 1.        ports/deskutils/cbb
 2.        ports/deskutils/gnofin
 3.        ports/deskutils/gnucash
 4.        ports/deskutils/kmymoney2
 5.        ports/deskutils/moneydance
 6.        ports/deskutils/xinvest
 7.        ports/math/p5-Math-Financial
 8.        ports/misc/p5-Finance-Quote
 9.        ports/misc/emma
10.        ports/misc/gnomepm
11.        ports/misc/qhacc
12.        ports/misc/quantlib
13.        ports/misc/wmstock
14.        ports/misc/xquote
15.        ports/x11/stockticker_applet

The eight ports in the catch-all misc and x11 categories could be
repo-copied into finance/.  If this category should be rejected,
consideration should be given to repo-copying them into deskutils/.

The idea for this came from NetBSD.  I brought it up on the ports list
recently.  I have seen no responses.

Fix: 

N/A
How-To-Repeat: N/A
Comment 1 Trevor Johnson freebsd_committer 2002-06-10 16:05:20 UTC
Responsible Changed
From-To: freebsd-ports->portmgr

asks for change to bsd.port.mk
Comment 2 Akinori MUSHA freebsd_committer 2002-11-18 09:52:41 UTC
State Changed
From-To: open->closed

New real category added, thanks!
Comment 3 Akinori MUSHA freebsd_committer 2002-11-24 13:30:32 UTC
State Changed
From-To: closed->open

Use the new category. :) 


Comment 4 Akinori MUSHA freebsd_committer 2002-11-24 13:30:32 UTC
Responsible Changed
From-To: portmgr->trevor

Use the new category. :)
Comment 5 Ceri Davies freebsd_committer 2003-09-18 20:49:47 UTC
Adding to audit trail, from misfiled PR ports/56259:

Date: Mon, 1 Sep 2003 01:44:53 -0500
From: Mark Linimon <linimon@lonesome.com>
Message-Id: <200309010144.53934.linimon@lonesome.com>

 The category was created long ago, and some of the ports listed in
 this PR were repocopied, but not all.  In addition, kmymoney2 has been
 deleted in the meantime, and a few others added, as summarized below.
 
 So, possibly the following should be considered for being repocopied;
 or, at the very least, should have the 'finance' category added to
 their Makefiles.
 
 deskutils/cbb
 deskutils/gnofin
 deskutils/moneydance
 deskutils/xinvest
 devel/libstocks (ok, I can see that might be a little controversial for a
   repocopy)
 misc/emma
 misc/gnomepm
 misc/p5-Finance-Currency-Convert
 misc/p5-Finance-Quote
 misc/p5-Finance-QuoteHist
 misc/quantlib
 misc/wmstock
 misc/xquote
 x11/stockticker_applet
 
 Any takers?
 
 mcl
Comment 6 Mark Linimon freebsd_committer freebsd_triage 2003-11-17 01:01:49 UTC
State Changed
From-To: open->closed

Supplanted by up-to-date rework, reflecting current status 
of ports tree, in ports/59357.